Class BendOptions
Inheritance
System.Object
System.MarshalByRefObject
BendOptions
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
public class BendOptions : TaggedObject, IMessageSink
Constructors
Declaration
Properties
Declaration
public Expression BendRadius { get; }
Property Value
Declaration
public Expression BendReliefDepth { get; }
Property Value
Declaration
public BendOptions.BendReliefTypeOptions BendReliefType { get; set; }
Property Value
Declaration
public Expression BendReliefWidth { get; }
Property Value
Declaration
public BendOptions.CornerReliefTypeOptions CornerReliefType { get; set; }
Property Value
Declaration
public int DieToolId { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
public string DieToolIdName { get; set; }
Property Value
Type |
Description |
System.String |
|
Declaration
public bool ExtendBendRelief { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
public Expression NeutralFactor { get; }
Property Value
Declaration
public bool OverrideToolSet { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
public int PunchToolId { get; set; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
public string PunchToolIdName { get; set; }
Property Value
Type |
Description |
System.String |
|
Declaration
public bool UseGlobalBendRadius { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
public bool UseGlobalNeutralFactor { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
public bool UseGlobalReliefDepth { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
public bool UseGlobalReliefWidth { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Methods
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendRadius instead.")]
public void SetBendRadius(string radius)
Parameters
Type |
Name |
Description |
System.String |
radius |
|
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendReliefDepth instead.")]
public void SetBendReliefDepth(string depth)
Parameters
Type |
Name |
Description |
System.String |
depth |
|
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.BendReliefWidth instead.")]
public void SetBendReliefWidth(string width)
Parameters
Type |
Name |
Description |
System.String |
width |
|
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from Features.SheetMetal.BendOptions.NeutralFactor instead.")]
public void SetNeutralFactor(string neutralFactor)
Parameters
Type |
Name |
Description |
System.String |
neutralFactor |
|
Implements
System.Runtime.Remoting.Messaging.IMessageSink